> ## Documentation Index
> Fetch the complete documentation index at: https://wiz-myvocal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Improve a TTS voice

> Edit a custom TTS voice. You can upload more files to improve your voice.(❗❗❗File-related interfaces are not supported, please use interface tools for requests.)

### Header

<ParamField header="accessKey" type="string" required>
  You can copy your api-key on [https://www.myvocal.ai/profile](https://www.myvocal.ai/profile) after you have subscribed to Pro or Business Plan.
</ParamField>

### Body

<ParamField path="id" type="string" required>
  Your voiceId
</ParamField>

<ParamField body="files" type="Files" required>
  Please provide mp3/wav/m4a files. A single file cannot exceed 10MB, and up to 25 files can be uploaded (including files provided when you add voice).
</ParamField>

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 1 if successful.
</ResponseField>

<ResponseField name="message" type="string">
  When an exception occurs, specific exception information will be provided in the message.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request PUT 'https://api.myvocal.ai/sound_clone/api/v1/voices/tts/7812' \
  --header 'accessKey: xxx' \
  --form 'files=@"xxx/xxx.mp3"'
  ```
</RequestExample>

<ResponseExample>
  ```json 200（success） theme={null}
  {
    "code": 1,
    "message": "Success",
  }
  ```

  ```json 200（fail） theme={null}
  {
    "code": -1,
    "message": "error msg",
  }
  ```
</ResponseExample>
